---
lang: en
title: 'API docs: rest.parseparams'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparams.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParams](./rest.parseparams.md)

## ParseParams type

A function to parse OpenAPI operation parameters for a given route

**Signature:**

```typescript
export type ParseParams = (request: Request, route: ResolvedRoute) => Promise<OperationArgs>;
```
**References:** [ResolvedRoute](./rest.resolvedroute.md)<!-- -->, [OperationArgs](./rest.operationargs.md)


